import request from '@/utils/request'

// 查询敏感词管理列表
export function listSENSITIVE(query) {
  return request({
    url: '/SENSITIVE/list',
    method: 'get',
    params: query
  })
}

// 查询敏感词管理所有列表
export function listAllSENSITIVE(query) {
  return request({
    url: '/SENSITIVE/listAll',
    method: 'get',
    params: query
  })
}

// 查询敏感词管理详细
export function getSENSITIVE(id) {
  return request({
    url: '/SENSITIVE/getInfo/' + id,
    method: 'get'
  })
}

// 新增敏感词管理
export function addSENSITIVE(data) {
  return request({
    url: '/SENSITIVE/add',
    method: 'post',
    data: data
  })
}

// 修改敏感词管理
export function updateSENSITIVE(data) {
  return request({
    url: '/SENSITIVE/edit',
    method: 'post',
    data: data
  })
}

// 删除敏感词管理
export function delSENSITIVE(id) {
  return request({
    url: '/SENSITIVE/remove/' + id,
    method: 'get'
  })
}
